/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var totalCredits = ko.observable(0),
        availableCredits = ko.observable(0),
        isPremium = ko.observable(true),
        isFreePremium = ko.observable(false),
        isFreeCreditsAlreadyPremium = ko.observable(false),
        welcomePremium20 = ko.observable(false),
        unlockedPremium = ko.observable(false),
        unlockedFreeTrial = ko.observable(false),
        noCreditsFreeTrial = ko.observable(false),
        unlockedProfessional = ko.observable(false),
        unlockedEnterprise = ko.observable(false),
        membershipType = ko.observable(''),
        hasProAccess = ko.observable(false),
        subscriptionExpiration = ko.observable('');

    return {
        totalCredits: totalCredits,
        availableCredits: availableCredits,
        isPremium: isPremium,
        isFreePremium: isFreePremium,
        isFreeCreditsAlreadyPremium: isFreeCreditsAlreadyPremium,
        welcomePremium20: welcomePremium20,
        unlockedPremium: unlockedPremium,
        unlockedFreeTrial: unlockedFreeTrial,
        noCreditsFreeTrial: noCreditsFreeTrial,
        unlockedProfessional: unlockedProfessional,
        unlockedEnterprise: unlockedEnterprise,
        membershipType: membershipType,
        hasProAccess: hasProAccess,
        subscriptionExpiration: subscriptionExpiration
    };
});
